Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2625263002: MD Settings: Convert reset profile banner to a dialog. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 1 week ago by dpapad
Modified:
8 months ago
Reviewers:
dschuyler
CC:
arv+watch_chromium.org, chromium-reviews, dbeam+watch-settings_chromium.org, michaelpg+watch-md-settings_chromium.org, michaelpg+watch-md-ui_chromium.org, stevenjb+watch-md-settings_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

MD Settings: Convert reset profile banner to a dialog. BUG=608940 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2625263002 Cr-Commit-Position: refs/heads/master@{#451145} Committed: https://chromium.googlesource.com/chromium/src/+/da4e99db2db55d566dfbcbf4dfe89fb4c3202ec7

Patch Set 1 #

Patch Set 2 : simplify #

Patch Set 3 : Nit. #

Total comments: 3

Patch Set 4 : Add TODO #

Patch Set 5 : Rebase (there were no conflits, but CQ failed to apply patch somehow) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+52 lines, -106 lines) Patch
M chrome/app/settings_strings.grdp View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/resources/settings/basic_page/basic_page.html View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/resources/settings/basic_page/basic_page.js View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/resources/settings/reset_page/reset_profile_banner.html View 1 2 1 chunk +13 lines, -55 lines 0 comments Download
M chrome/browser/resources/settings/reset_page/reset_profile_banner.js View 1 2 3 1 chunk +18 lines, -20 lines 0 comments Download
M chrome/browser/ui/webui/settings/md_settings_localized_strings_provider.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M chrome/test/data/webui/settings/reset_profile_banner_test.js View 1 2 1 chunk +13 lines, -27 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 41 (26 generated)
dpapad
After screenshot at http://imgur.com/a/oJe6b.
8 months, 1 week ago (2017-02-14 18:26:44 UTC) #14
dschuyler
WDYT of reducing the use of Banner and Dialog in this CL? It would be ...
8 months, 1 week ago (2017-02-15 00:24:19 UTC) #15
dpapad
I prefer not to introduce new concepts such as "message" or "prompt". Using "dialog" everywhere ...
8 months, 1 week ago (2017-02-15 02:12:20 UTC) #16
dschuyler
> Would you be OK with following up with a separate > cleanup CL for ...
8 months ago (2017-02-15 20:26:17 UTC) #17
dpapad
On 2017/02/15 at 20:26:17, dschuyler wrote: > > Would you be OK with following up ...
8 months ago (2017-02-15 21:50:08 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2625263002/100001
8 months ago (2017-02-15 21:59:30 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/367299) win_clang on master.tryserver.chromium.win (JOB_FAILED, ...
8 months ago (2017-02-15 22:36:57 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2625263002/100001
8 months ago (2017-02-16 01:03:57 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120138)
8 months ago (2017-02-16 02:57:17 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2625263002/100001
8 months ago (2017-02-16 03:28:38 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120264)
8 months ago (2017-02-16 05:24:22 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2625263002/100001
8 months ago (2017-02-16 18:09:47 UTC) #33
commit-bot: I haz the power
Failed to apply patch for chrome/browser/resources/settings/basic_page/basic_page.js: While running git apply --index -p1; error: patch failed: ...
8 months ago (2017-02-16 19:55:42 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2625263002/120001
8 months ago (2017-02-16 20:18:50 UTC) #38
commit-bot: I haz the power
8 months ago (2017-02-17 00:07:12 UTC) #41
Message was sent while issue was closed.
Committed patchset #5 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/da4e99db2db55d566dfbcbf4dfe8...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa